/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.common.enums.ycwh;

import lombok.AllArgsConstructor;
import lombok.Getter;
import org.springblade.core.tool.utils.Func;

/**
 * 系统字典枚举类
 *
 * @author Chill
 */
@Getter
@AllArgsConstructor
public enum InformationTypeEnum {
	// 名菜、名点、名店、专业风采
	famous_dish("famous_dish", "名菜"),
	famous_location("famous_location", "名点"),
	famous_store("famous_store", "名店"),
	professional_style("professional_style", "专业风采");

	final String value;
	final String label;

	private static String getLabelByValue(String v) {
		if (Func.isBlank(v)) {
			return null;
		}
		String rs = null;
		for (InformationTypeEnum e : InformationTypeEnum.values()) {
			if (e.getValue().equals(v)) {
				rs = e.getLabel();
				break;
			}
		}
		return rs;
	}

}
